Subject: bug#38529: Make --pure the default for `guix environment'?

From: Christopher Lemmer Webber <[email-masked]>
Date: Tue, 03 Nov 2020 12:38:33 -0500

Ludovic Courtès writes:

> Hello!
>
> "Thompson, David" <[email-masked]> skribis:
>
>> I have long thought that --ad-hoc should be implied, as that is the
>> mode I use 99% of the time, but I disagree that --pure should be the
>> default.
>
> I very much agree with that.  I don’t think ‘--pure’ should be the
> default, because there are valid use cases for that.
>
> As for ‘--ad-hoc’: making it the default is technically easy.  The
> difficulty is to come up with a nice transition/deprecation mechanism so
> that we don’t break everyone’s script overnight.
>
> Ideas on how to achieve it are welcome!
>
> Thanks,
> Ludo’.

It suddenly struck me today that there is an easy way to change the
default behavior while supporting the legacy behavior.

How about we have a new command, "guix env", what is --ad-hoc by
default?  Then "guix environment" sticks around as legacy for supporting
the old interface.  Therefore, "guix env" is doubly short and to the
point.  :)